# **Vungle SDK License and Publisher Terms**

This Vungle SDK License and Publisher Terms (“Agreement”) is made available by Vungle, Inc. (“Vungle”). By downloading or using the Vungle SDK, you and any company, entity, or organization on behalf of which you are accepting this Agreement (“Developer”) hereby agrees to be bound by all terms and conditions of this Agreement, and you represent and warrant that you are an authorized representative of Developer with the authority to bind Developer to this Agreement.  If you do not agree to all terms and conditions of this Agreement, do not download or use the Vungle SDK.

### 1.	Definitions.
A.	“Advertisers” means third-party advertisers.

B.	“App Data” means data from the device of an end-user, including, for example, orientation data, volume settings, OS language, device make/model, operating system, mobile carrier, and device identifiers.

C.	“Developer Apps” means the mobile applications owned and/or controlled by Developer, including all content, images, music and text contained therein, that Developer wishes to use with the Vungle SDK and Vungle Platform.

D.	“Documentation” means all technical documentation provided by Vungle to Developer to support use of the Vungle SDK, including without limitation, user manuals, functional descriptions, help guides, and other materials, as may be updated by Vungle from time to time.

E.	“Performance Data” means data regarding advertisement performance, including, for example, impressions, interactions, installs, header information, and end user segments or interests.

F.	“Vungle Ads” means video advertisements, sourced by or on behalf of Vungle, which are routed and/or served by the Vungle Platform to the Developer Apps.

G.	“Vungle Platform” means Vungle’s hosted video advertising system, which supports video advertisement insertion within mobile applications, and related advertisement reporting tools.

H.	“Vungle SDK” means the software development kit, including and solely as enabled by the Documentation, available for download on Vungle’s website as of the Effective Date, and any other software that may be provided by Vungle to Developer with the software development kit, including any updates thereto.

### 2.	Vungle SDK License.
A.	License Grant.  Subject to the terms and conditions of this Agreement, Vungle grants Developer a non-exclusive, non-transferable, non-sublicenseable, worldwide license to: (a) integrate the Vungle SDK with Developer Apps solely for internal use; (b) use, reproduce and distribute certain portions of the Vungle SDK as required for Developer’s distribution of Developer Apps; provided that, any distribution to an end user will be subject to terms that protect the Vungle SDK in a manner at least as protective as set forth herein; and (c) use the Vungle SDK and Vungle Platform to have Vungle Ads inserted within Developer Apps pursuant to this Agreement.

B.	SDK Updates.  Vungle periodically releases new versions of, or updates to, the Vungle SDK which may contain new features and fixes (each a, “SDK Update”).  Each SDK Update will be presented to Developer within the Vungle Platform dashboard, and Developer is encouraged to download and integrate each SDK Update within the Developer Apps. Each SDK Update shall be subject to the terms and conditions of this Agreement. Vungle may sunset versions of the Vungle SDK that are older than 24 months.
C.	License Restrictions. Except as expressly provided in this Agreement, Developer shall not (and shall not allow any third party to): (a) decompile, reverse engineer, disassemble, modify, adapt, create derivative works of, copy or distribute the Vungle SDK or Vungle Platform, (b) modify, remove, or obscure any copyright, trademark, patent or other proprietary notices or legends from the Vungle SDK or Vungle Platform; (c) copy, distribute, rent, lease, lend, sublicense, transfer or make the Vungle SDK or Vungle Platform available to any third party,  (d) use the Vungle SDK or Vungle Platform to develop, upload, or transmit any software viruses or other computer code, files or programs designed to interrupt, destroy, or limit the functionality of any software or hardware, or (e) use the Vungle SDK, Vungle Platform, or any data collected, received, or provided access via the Vungle SDK or Vungle Platform, except as expressly set forth in this Agreement, including to re-identify an individual end user.

### 3.	Intellectual Property.
All ownership rights, title, and interest in and to the Vungle SDK and Vungle Platform, including all intellectual property rights therein, as such may be modified, upgraded, or enhanced from time to time (“Vungle Property”) will remain and belong exclusively to Vungle.  Vungle reserves all rights not expressly granted to Developer herein.  Developer shall retain all ownership rights, title and interest in and to the Developer Apps, including all intellectual property rights therein, as such may be modified, upgraded or enhanced from time to time.  If Developer elects to provide any suggestions, comments, improvements, ideas or other feedback or materials to Vungle (collectively, “Feedback”), Developer hereby grants Vungle the right to freely use, copy, disclose, license, distribute and exploit any such Feedback in any manner without any obligation, royalty or restriction based on intellectual property rights or otherwise.

### 4.	Advertising via The Vungle Platform.
A.	Vungle Insertion & Sale of Ads.  Developer hereby grants Vungle the right to sell, and have sold, advertisement inventory in the Developer Apps, and to insert Vungle Ads within such inventory.  Developer agrees that in connection with Vungle Ads, Vungle may access or call to the Developer Apps, or the servers that make them available, and cause the routing, transmission, reproduction, and display of Vungle Ads as contemplated herein.  Unless expressly agreed in writing, Vungle makes no guarantee that any level or amount of Vungle Ads will be placed in the Developer Apps.  In addition, Developer hereby grants Vungle the non-exclusive, worldwide right and license to use, reproduce, distribute and display Developer’s and the Developer Apps’ trademarks, names, logos, and images of the Developer Apps, in connection with the sale of Vungle Ads hereunder, including (a) listing the Developer Apps and inventory in pitch materials to prospective Advertisers; (b) reporting the inclusion of Developer Apps and inventory as part of Vungle’s advertising network, and (c) identifying the Developer as a publishing partner on Vungle’s website and other marketing materials.

B.	Developer Apps Content Policy.  The Developer Apps will not contain, consist of, or promote discrimination, illegal activities, hate speech, defamation, graphic violence, firearms, tobacco, illegal drugs, pornography, sex-trafficking, profanity, obscenity or sexually explicit material (“Developer Apps Content Policy”).  Additionally, Developer will notify Vungle immediately of any Developer Apps relating to alcohol or real-money gambling.  Developer agrees that Vungle has no responsibility for the Developer Apps, including any content therein, and Vungle has no obligation or ability to monitor or edit the Developer Apps.  Developer will provide as much advance written notice as reasonably practicable, but in no event less than fifteen (15) days’ notice, regarding any material changes to the nature or design of any Developer App, including without limitation, changes to the placement of inventory, any action that will increase or reduce expected inventory within the Developer Apps, the type of content contained within the Developer Apps, or the target audience of the Developer Apps.

C.	Ad Restrictions; Invalid Impressions.  Developer may not, and may not authorize or encourage any third party to: (i) engage in or create Invalid Impressions; (ii) edit, modify, filter, or change the order of the information contained in any Vungle Ad, or remove, obscure or minimize any Vungle Ad in any way; and/or (iii) redirect an end user away from any web page or app accessed by an end user after selecting or clicking on any part of a Vungle Ad (“Advertiser Page”), provide a version of the Advertiser Page different from the page an end user would access by going directly to the Advertiser Page, or intersperse any content between the Vungle Ads and the Advertiser Page.  As used herein, “Invalid Impressions” means any impressions, downloads, installs, views, taps, clicks or other user engagement relating to any Vungle Ad campaign that may artificially inflate an Advertiser's costs or Developer's earnings. By way of example, and without limitation, Invalid Impressions are caused by: (1) repeated manual clicks, (2) using “robots”, “spiders” or other tools for making automated computer generated requests, (3) using offers of cash, prizes, incentives, gift cards, vouchers or anything of value, including cryptocurrency, (4) using a design that encourages or is likely to lead to unintended impressions, downloads, installs, views, taps, clicks or other user actions, (5) manipulating or misrepresenting device IDs, Ad IDs, geolocation or other user or device information; (6) hijacking of an end user’s device; (7) automatic advertisement refreshes; or (8) any other deceptive or fraudulent methods.  Developer shall promptly notify Vungle if it suspects that any third party may be tampering with, abusing or manipulating the Vungle Platform or the Vungle Ads within the Developer App, or otherwise violating the restrictions of this Section 4.C.  Vungle may suspend Developer’s use of the Vungle Platform and/or terminate this Agreement immediately should Developer violate the foregoing provisions of this Section, or if Vungle observes unusually high levels of impressions, downloads, installs, views, taps or clicks on Developer’s account. Developer shall not be entitled to any revenue associated with Invalid Impressions or campaigns associated with violations of this Section 4.C.

D.	Developer Ad Campaigns.  In the event that Developer desires to become an Advertiser, and advertise its app within the Vungle network of publishers, the parties will enter into a separate mutually agreed upon insertion order.

### 5.	Data & Privacy.
A.	Collection of Data.  Developer acknowledges and agrees that Vungle may: (i) use the Vungle Property to collect and use App Data and Performance Data in connection with the performance of this Agreement, including to display Vungle Ads to end users and to measure and report the performance of Vungle Ads; (ii) disclose App Data and Performance Data (a) to third parties (including Advertisers and attribution partners) as reasonably necessary in connection with the operation of the Vungle Platform and performance of this Agreement, (b) if required by any court order, process, law or governmental agency; or (c) generally, when such data is aggregated, so that the specific information relating to Developer is not identified as such; and (iii) use App Data and Performance Data for Vungle’s internal business purposes, including to develop and improve the Vungle SDK and Vungle Platform, perform internal analytics regarding Vungle SDK performance, and to monitor for errors.  Vungle will collect and use the App Data and Performance Data in accordance with Vungle’s Privacy Notice, which is available at http://vungle.com/privacy/ (as updated from time to time).  This Section 5.A. shall survive the termination or expiration of this Agreement.

B.	Compliance with Privacy Laws.  In performance of this Agreement, Developer agrees to comply with all applicable laws, governmental regulations, court or government agency orders, and decrees relating in any manner to the collection, use, or dissemination of data from or about users, user traffic, or otherwise relating to privacy rights, including the Children’s Online Privacy Protection Act (“COPPA”).  In addition, Developer agrees to conspicuously post a privacy notice that accurately describes the Developer’s and third parties’ collection, use, and disclosure of end user data from the Developer Apps, which include disclosure (i) that third parties may collect or receive information and use that information to provide measurement services and targeted ads, and (ii) how and where users can opt-out of collection and use of information for ad targeting.  Developer will not pass any personally-identifiable information to Vungle unless expressly permitted in writing, and except as permitted under and in compliance with applicable law. Vungle reserves the right to modify, suspend, or terminate this Agreement should Developer violate this Section, and/or to remain compliant with law.

C.	Vungle Data Privacy Addendum. As applicable, and to the extent performance of this Agreement entails the collection and/or processing of any data or information from end users in the European Economic Area, the parties agree that the additional terms and conditions set forth in the Vungle Data Privacy Addendum (“DPA”) attached hereto and incorporated herein as Exhibit A apply to this Agreement.  To the extent this Agreement conflicts with the DPA, the DPA shall govern and control.

### 6.	Developer Fees; Payment.
A.	Standard Developer Fee.  Subject to the terms and conditions of this Agreement, Vungle shall pay to Developer a percentage of the Net Revenue (the “Developer Fee”), as determined by Vungle.  “Net Revenue” means the gross revenue actually collected by Vungle from Advertisers for Vungle Ads served and displayed within the Developer Apps, less (i) any refunds to Advertisers; (ii) a deduction of up to 10% to cover expenses related to Advertiser discounts, payment transaction fees, telecommunications, data center and other serving costs, (iii) any amounts payable by Vungle to providers of targeting, reporting, verification or other data, technology or services used in connection with a given campaign hereunder, and (iv) Invalid Impressions. The Developer Fee shall be based on the impression or app installation counts used by the applicable Advertiser(s).  For the avoidance of doubt, all Developer Fees are based on advertisement requests from the Developer Apps that are actually fulfilled with Vungle Ads.  All revenue received from activities that Vungle deems to be due to fraud, Invalid Impressions, or technical error may be refunded to the Advertiser(s) in Vungle’s sole discretion.

B.	Developer Fee Addendums. During the Term of this Agreement, the parties may enter into one or more separate written publisher addendums (each a, “Fee Addendum”) setting forth modifications to the Developer Fee, bonus fees, or other incentives for a limited time period and/or specific advertising campaign. Each Fee Addendum shall, upon full execution by the parties, become a part of this Agreement and subject to all of its terms and conditions.

C.	Payment Terms; Taxes. Vungle will pay any Developer Fee due to Developer sixty (60) days’ after the completion of the month in which such Vungle Ads are served and displayed; provided that, Vungle may withhold payment until the following month for Developer Fee amounts less than $50 U.S.  Developer shall be responsible for any bank, transfer or transaction fees (e.g., PayPal).  Vungle may deduct any withholding, sales, value added, and other applicable taxes (other than its net income taxes) as required by law. Specifically, Vungle will deduct withholding tax, unless Developer provides a certification to Vungle, upon execution of this Agreement, certifying that Developer and the Developer Apps perform wholly outside of the U.S.  Developer is responsible for paying, and will indemnify and hold Vungle forever harmless for, any taxes, duties, or fees, including interest and penalties, for which Developer is legally responsible, or that result from an inaccurate certification where Developer or the Developer Apps do in fact perform within the U.S.

### 7.	Term and Termination.
A.	Term. This Agreement is effective until terminated in accordance with this Agreement.

B.	Termination/Suspension by Vungle.  Vungle may terminate this Agreement at any time by providing sixty (60) days’ notice to Developer.  Additionally, Vungle may terminate this Agreement immediately if Developer breaches any provision of this Agreement.  Vungle may immediately suspend Developer’s access to the Vungle Platform if Vungle reasonably believes Developer has breached this Agreement.

C.	Termination by Developer.  Developer may terminate this Agreement at any time by providing written notice to Vungle (email to suffice), ceasing all use of the Vungle Platform and Vungle Property, and destroying or removing from all hard drives, networks, and other storage media all copies of the Vungle Property.

D.	Effect of Termination. Upon termination of this Agreement by Developer, the Agreement (including all rights and licenses granted and obligations assumed hereunder) will remain in force and effect until the completion of all Vungle Ad campaigns associated with the Developer Apps in effect on the date of such termination (“Sell-Off Period”).  Vungle’s payment obligations will remain in effect during the Sell-Off Period.  Upon any termination of this Agreement, each party will promptly return or destroy all copies of any Confidential Information in its possession or control. Sections 3, 5(A), 6(C), 7(D) through 13 shall survive any expiration or termination of this Agreement.

### 8.	Confidentiality.
A.	Definition. “Confidential Information” means any and all business, technical and financial information or material of a party, whether revealed orally, visually, or in tangible or electronic form, that is not generally known to the public, which is disclosed to or made available by one party (the “Disclosing Party”) to the other, or which one party becomes aware of pursuant to this Agreement (the “Receiving Party”).  The Vungle SDK is Vungle’s Confidential Information, and the terms and conditions of this Agreement shall remain confidential.  The failure of a Disclosing Party to designate as “confidential” any such information or material at the time of disclosure shall not result in a loss of status as Confidential Information to the Disclosing Party.  Confidential Information shall not include information which: (i) is in or has entered the public domain through no breach of this Agreement or other act by a Receiving Party; (ii) a Receiving Party rightfully knew prior to the time that it was disclosed to a Receiving Party hereunder; (iii) a Receiving Party received without restriction from a third-party lawfully possessing and lawfully entitled to disclose such information without breach of this Agreement; or (iv) was independently developed by employees of the Receiving Party who had no access to such information.

B.	Use and Disclosure Restrictions. The Receiving Party shall not use the Confidential Information except as necessary to exercise its rights or perform its obligations under this Agreement, and shall not disclose the Confidential Information to any third party, except to those of its employees, subcontractors, and advisors that need to know such Confidential Information for the purposes of this Agreement, provided that each such employee, subcontractor, and advisor is subject to a written agreement that includes binding use and disclosure restrictions that are at least as protective of the Confidential Information as those set forth herein.  The Receiving Party will use at least the efforts such party ordinarily uses with respect to its own confidential information of similar nature and importance to maintain the confidentiality of all Confidential Information in its possession or control, but in no event less than reasonable efforts.  The foregoing obligations will not restrict the Receiving Party from disclosing any Confidential Information required by applicable law; provided that, the Receiving Party must use reasonable efforts to give the Disclosing Party advance notice thereof (i.e., so as to afford Disclosing Party an opportunity to intervene and seek an order or other relief for protecting its Confidential Information from any unauthorized use or disclosure) and the Confidential Information is only disclosed to the extent required by law.  The Receiving Party shall return all of the Disclosing Party’s Confidential Information to the Disclosing Party or destroy the same, no later than fifteen (15) days after Disclosing Party’s request, or when Receiving Party no longer needs Confidential Information for its authorized purposes hereunder.

### 9.	Representations and Warranties of Developer.
Developer represents, warrants and covenants to Vungle that: (a) it shall comply with all applicable laws, rules, and regulations with respect to the operation of its business and its use of the Vungle SDK and Vungle Platform; (b) it has all necessary rights, title, and interest in and to the Developer Apps, and it has obtained all necessary rights, releases, and permissions to grant the rights granted to Vungle in this Agreement, including to allow Vungle to sell and insert the Vungle Ads as contemplated herein; (c) the Developer Apps will comply with the Developer Apps Content Policy, and will not infringe upon, violate, or misappropriate any third party right, including any intellectual property, privacy, or publicity rights; (d) any App Data Developer may provide to Vungle, and the ability for Vungle to collect App Data and Performance Data, is permitted under Developer’s privacy notice and provided in compliance with all applicable laws; and (e) it has made any and all disclosures and obtained any and all consents or permissions required by applicable laws with respect to Developer’s privacy practices, including without limitation: (i) any end user data Developer collects, uses, and/or discloses, (ii) the use and disclosure of App Data and Performance Data to Vungle via the Vungle SDK and Vungle Platform, and (iii) notice and parental consent required by applicable privacy laws, including COPPA.

### 10.	Warranty Disclaimer.
THE VUNGLE SDK AND VUNGLE PLATFORM ARE PROVIDED “AS IS.”  VUNGLE DOES NOT MAKE ANY WARRANTIES, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-INFRINGEMENT, FITNESS FOR A PARTICULAR PURPOSE, AND ANY IMPLIED WARRANTIES ARISING FROM COURSE OF DEALING OR PERFORMANCE.  VUNGLE AND ITS SUPPLIERS, LICENSORS, AND PARTNERS DO NOT WARRANT THAT THE VUNGLE PLATFORM OR VUNGLE SDK WILL BE CORRECT, UNINTERRUPTED OR ERROR-FREE, THAT DEFECTS WILL BE CORRECTED, OR THAT THE VUNGLE PLATFORM OR VUNGLE SDK ARE FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. VUNGLE DOES NOT WARRANT THE RESULTS OF USE OF THE VUNGLE PLATFORM OR VUNGLE SDK.  DEVELOPER ACKNOWLEDGES AND AGREES THAT VUNGLE MAY MODIFY OR SUSPEND THE VUNGLE PLATFORM AT ANY TIME IN ITS SOLE DISCRETION AND WITHOUT NOTICE.

### 11.	Indemnification.
A.	Developer Indemnification.  Developer agrees to indemnify, defend, and hold harmless Vungle and its affiliates, and their directors, officers, employees, and agents from and against any liabilities, damages, costs and expenses (including reasonable attorneys’ fees) arising out of any claim, demand, action, or proceeding initiated by a third party arising from or in connection with any breach of Developer’s obligations, representations or warranties set forth in this Agreement; provided that, Vungle: (a) promptly notifies Developer in writing of the claim, except that any failure to provide this notice promptly only relieves Developer of its responsibility to the extent its defense is materially prejudiced by the delay; (b) grants Developer sole control of the defense and/or settlement of the claim, but Developer shall not settle any claim without the prior written consent of Vungle; and (c) reasonably cooperates with Developer in connection with such claim at Developer’s cost and expense.

B.	Vungle Indemnification.  Vungle agrees to indemnify, reimburse and hold harmless, Developer, its officers, directors, employees, and agents from and against any and all third party claims, liabilities, demands, causes of action, damages, losses and expenses, including, without limitation, reasonable attorneys' fees and costs of suit, arising out of or in connection with Vungle’s infringement or misappropriation of a third party U.S. copyright, trademark or trade secret by the use of the Vungle Platform and/or the Vungle SDK by Developer as permitted hereunder; provided that, Developer: (a) promptly notifies Vungle in writing of the claim, except that any failure to provide this notice promptly only relieves Vungle of its responsibility to the extent its defense is materially prejudiced by the delay; (b) grants Vungle sole control of the defense and/or settlement of the claim; and (c) reasonably cooperates with Vungle in connection with such claim at Vungle’s cost and expense.  In addition, if the use of the Vungle Property by Developer has become, or in Vungle’s opinion is likely to become, the subject of any claim of infringement, Vungle may at its option and expense (i) procure for Developer the right to continue using the Vungle Property as set forth hereunder; (ii) replace or modify the Vungle Property to make it non-infringing so long as the Vungle Property has substantially equivalent functionality; or (iii) if options (i) or (ii) are not reasonably practicable, terminate this Agreement.  Vungle shall have no liability or obligation under this Section with respect to any claim if such claim is caused in whole or in part by (w) compliance with designs, data, instructions, or specifications provided by Developer; (x) modification of the Vungle Property by any party other than Vungle without Vungle’s express consent; (y) failure to integrate any SDK Update and utilize the most up to date version of the Vungle SDK,  or (z) the combination, operation, or use of the Vungle Property with other applications, portions of applications, product(s), data or services where the Vungle Property would not by itself be infringing. The indemnification rights contained in this Section 11 are Developer’s sole remedy for third party infringement claims relating to THE Vungle SDK and the Vungle Platform.

### 12.	Limitation of Liability.
EXCEPT WITH RESPECT TO INDEMNIFICATION OBLIGATIONS HEREIN AND BREACHES OF SECTION 2 (VUNGLE SDK LICENSE), NEITHER PARTY SHALL BE LIABLE TO OTHER PARTY FOR ANY PUNITIVE, INCIDENTAL, INDIRECT, SPECIAL, RELIANCE OR CONSEQUENTIAL DAMAGES, INCLUDING LOST BUSINESS, DATA, REVENUE, OR ANTICIPATED PROFITS, WHETHER BASED ON BREACH OF CONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE, AND WHETHER OR NOT A PARTY WAS ADVISED OF THE POSSIBILITY OF SUCH LOSS OR DAMAGES.  EXCEPT WITH RESPECT TO INDEMNIFICATION OBLIGATIONS HEREIN AND BREACHES OF SECTION 2 (VUNGLE SDK LICENSE), IN NO EVENT WILL EITHER PARTY’S AGGREGATE LIABILITY UNDER THIS AGREEMENT EXCEED THE TOTAL DEVELOPER FEE PAYABLE TO DEVELOPER UNDER THIS AGREEMENT BY VUNGLE IN THE TWELVE (12) MONTH PERIOD IMMEDIATELY PRECEDING THE DATE OF THE CLAIM .

### 13.	General.
A.	Relationship of the Parties. Each Party shall be and act as an independent contractor and not as partner, joint venturer, or agent of the other.  No party shall have any right to obligate or bind any other party.

B.	Assignment. Neither party may assign any of its rights or obligations under this Agreement without the prior written consent of the other party, except in connection with any merger (by operation of law or otherwise), consolidation, reorganization, change in control or sale of all or substantially all of its assets related to this Agreement or similar transaction.  Notwithstanding the foregoing, Developer may not assign this Agreement to a direct competitor of Vungle without Vungle’s prior written consent.  This Agreement inures to the benefit of and shall be binding on the parties’ permitted assignees, transferees and successors.

C.	Force Majeure. Neither party will be responsible for any failure or delay in its performance under this Agreement due to causes beyond its reasonable control, including, but not limited to, labor disputes, strikes, lockouts, internet or telecommunications failures, shortages of or inability to obtain labor, energy, or supplies, war, terrorism, riot, acts of God or governmental action, acts by hackers or other malicious third parties and problems with the Internet generally, and such performance shall be excused to the extent that it is prevented or delayed by reason of any of the foregoing.

D.	Notices. Vungle may provide Developer with business or operational notices via email or posting of such notice within the Vungle Platform.  All legal notices under the terms of this Agreement shall be in writing and sent to Developer as provided to Vungle in the account information during the download of the SDK, and to Vungle in accordance with this Section.  All notices in connection with this Agreement shall be deemed given (a) when personally delivered; (b) three (3) days after being sent by the United States of America mail, postage prepaid, certified or registered, return receipt requested; or (c) one (1) day after being sent by a reputable overnight delivery service. Notices to Vungle must be sent to: Vungle, Inc., 185 Clara St. #100, San Francisco, CA 94107, Attn: Legal Department.

E.	Amendments; Waiver.  No changes or modifications or waivers are to be made to this Agreement unless evidenced in writing and signed for and on behalf of both parties. The failure by either party to insist upon the strict performance of this Agreement, or to exercise any term hereof, will not act as a waiver of any right, promise or term, which will continue in full force and effect.

F.	Construction. This Agreement shall be fairly interpreted and construed in accordance with its terms and without strict interpretation or construction in favor of or against either party.

G.	Severability.  If any provision, or portion thereof, of this Agreement is determined by a court of competent jurisdiction to be invalid, illegal or unenforceable, such determination will not impair or affect the validity, legality, or enforceability of the remaining provisions of this Agreement, and each provision, or portion thereof, is hereby declared to be separate, severable, and distinct.

H.	Governing Law; Jurisdiction.  This Agreement shall be governed by, and construed in accordance with, the laws of the State of California, without reference to conflicts of laws principles. The parties agree that the federal and state courts in San Francisco County, California will have exclusive jurisdiction and venue under this Agreement, and the parties hereby agree to submit to such jurisdiction exclusively.

I.	Entire Agreement. This Agreement, together with Exhibit A attached hereto and incorporated herein by reference, contains the entire understanding of the parties regarding its subject matter and supersedes all other agreements and understandings, whether oral or written.

J.	Counterparts.  This Agreement may be signed in counterparts, including by facsimile or electronic copy, each of which will be deemed an original, and all such counterparts together constituting one and the same Agreement.

ACCEPTED AND AGREED to as of the date upon Developer’s download or use of the Vungle SDK by the authorized representative of each party.

# **Exhibit A to Vungle SDK License and Publisher Terms<br/>Vungle Data Privacy Addendum (Publishers)**

This Data Privacy Addendum ("Addendum") forms part of Vungle SDK License and Publisher Terms ("Agreement") in place between Vungle, Inc. and the company identified as the "Developer" in the Agreement.  Capitalized terms used in this Addendum shall have the meaning given to them in the main body of the Agreement unless otherwise defined in this Addendum.

IT IS AGREED:

### 1.	Definitions.
"Ad Data" has the meaning given to it in Section 2 of this Addendum;

"Controller" means the entity that determines the purposes and means of the processing of Personal Data;

"Demand Partners" means Vungle's media buying clients, including but not limited to Advertisers and attribution partners, demand side platforms, ad exchanges, agencies, agency trading desks and ad networks who submit "bids" for Vungle Ad inventory;

"EU Data Protection Law" means (i) prior to 25 May 2018, the EU Data Protection Directive (Directive 95/46/EC) and on and after 25 May 2018, the EU General Data Protection Regulation (Regulation 2016/679); (ii) the EU e-Privacy Directive (Directive 2002/58/EC); and (iii) any national data protection laws made under or pursuant to (i) or (ii) (in each case, as superseded, amended or replaced);

"Personal Data" means any information relating to an identified or identifiable natural person (which shall include for the avoidance of doubt, any personally identifiable information) or as otherwise defined in applicable Privacy Requirements;

"Privacy Requirements" means all applicable privacy and data protection laws and regulations, industry self-regulatory rules, codes and guidelines that apply to the processing of data (including Ad Data and Personal Data) that is the subject of this Addendum, in each case as amended, superseded, or replaced, including but not limited to EU Data Protection Law;

"Privacy Shield" means the EU-U.S. Privacy Shield Framework self-certification program operated by the U.S. Department of Commerce and approved by the European Commission pursuant to Decision C(2016)4176 of 12 July 2016 and by the Swiss Federal Council on January 11, 2017 respectively;

”Privacy Shield Principles” means the Privacy Shield Framework Principles (as supplemented by the Supplemental Principles) contained in Annex II to the European Commission Decision C(2016)4176 of July 12, 2016 (as may be amended, superseded or replaced);

"Tracking Technologies" means mobile SDKs, unique identifiers, pixels, and similar tracking technologies;

"Vungle Privacy Notice" means the Vungle privacy notice available on Vungle's public facing website (http://vungle.com/privacy), as updated from time to time;

"data subject", "processing" (and "process") shall have the meanings given to them in EU Data Protection Law.

### 2.	Scope of Processing.
2.1.	Developer acknowledges and agrees that in connection with the Vungle Platform and Vungle SDK: (i) Vungle may collect or otherwise
receive data (including Personal Data) relating to end users of the Developer Apps (such as App Data), including unique device identifiers, log information, as well as usage data (such as Performance Data), including information about ads viewed or clicked, post-install data, geo-location of an end user’s device (as may be enabled by the Developer App) and streaming data, all as more particularly described in the Vungle Privacy Notice (collectively "Ad Data"); and (ii) Vungle and its Demand Partners use Tracking Technologies in order to collect certain Ad Data.

2.2.	Vungle shall process and Developer hereby grants Vungle a perpetual, irrevocable, worldwide, sublicenseable right and license to use, copy, modify, distribute and otherwise exploit Ad Data for the following purposes: (a) accessing or calling the Developer Apps, or the servers that make them available, to cause the routing, serving, displaying, targeting, and tracking the performance of Vungle Ads on the Developer Apps; (b) building and storing profiles of end users; (c) using Ad Data for Vungle’s internal business purposes, including to develop and improve the Vungle SDK and Vungle Platform; (e) for any other purposes identified in the Vungle Privacy Notice; and/or (d) disclosing Ad Data (i) to third parties (including Demand Partners) as reasonably necessary in connection with the operation of the Vungle Platform, (ii) if required by any court order, process, law or governmental agency; and/or (iii) generally when it is aggregated, such that the specific information relating to Developer or any underlying end user is not directly identifiable  ("Permitted Purposes").

### 3.	Relationship of the Parties.
To the extent the Ad Data contains Personal Data, Vungle shall process such data as a separate and independent Controller (where applicable Privacy Requirements recognize such concept) and only for the Permitted Purposes. In no event will the parties process Personal Data under this Agreement as joint Controllers. Nothing in the Agreement (including this Addendum) shall limit or prevent Vungle from collecting or using data that Vungle would otherwise collect and process independently of Developer's use of the Vungle Platform and Vungle SDK.

### 4.	Developer's Responsibilities.
4.1.	Privacy Notice.
(a)	Developer represents and warrants that it shall conspicuously post, maintain, and abide by a publically accessible privacy notice within the Developer App that satisfies the transparency and information requirements of the Privacy Requirements and the Agreement (including this Addendum). If notice cannot be provided in or around Vungle Ads, then Developer should make arrangements to provide notice within the Developer App or on the landing page of the Vungle Ad.

(b)	Without prejudice to the generality of the foregoing, such notice shall, at a minimum, include clear and comprehensive information about the following: (i) Vungle and its Demand Partner's use of Tracking Technology to collect use and share Ad Data; (ii) the fact that third parties may collect or receive Personal Data and use that Personal Data to provide measurement services and targeted ads; (iii) a conspicuous  link to or description of how and where users can opt-out of collection and use of information for ad targeting; and (vi) a description of the types of
Ad Data (including Personal Data) that are collected and how and for what purposes the Ad Data collected will be used or transferred to third parties.

(c)	To the extent Ad Data is protected by EU Data Protection Law, Developer further warrants and represents that the privacy notice provided pursuant to Section 4.1(a) (above) shall also include the following information: (i) the type of Personal Data collected by Vungle and its Demand Partners and the purposes of processing thereof;(ii) the categories of individuals who will have access to the Personal Data; (iii) where applicable, the legitimate interests pursued by Vungle and/or its Demand Partners; (iv) the identity of the Controller(s); and (v) and any other information required to comply with the transparency requirements of the EU Data Protection Law.

4.2.	Notice and Consent.  Developer represents and warrants it has provided (and shall maintain) all required notices and obtained all necessary permissions and consents in accordance with the Privacy Requirements from the relevant data subjects (including any parental consent required by applicable Privacy Requirements) on behalf of Vungle and all applicable Demand Partners to lawfully permit: (a) Vungle and all applicable Demand Partners to collect, process and share Ad Data; and (b) deploy Tracking Technologies in order to collect Ad Data from the devices of end users served with Vungle Ads,  in each case for the purposes contemplated by this Addendum.

4.3.	Consent Mechanism.  Where Developer is responsible for obtaining consent in accordance with Section 4.2 above, Developer shall, at all times, make available, maintain and make operational on the Developer Properties: (i) a mechanism for obtaining such consent from data subjects in accordance with the requirements of the Privacy Requirements; and (ii) a mechanism for data subjects to withdraw such consent (opt-out) in accordance with the Privacy Requirements.

4.4.	Consent Records.  Where Developer is responsible for obtaining consent in accordance with Section 4.2 above, Developer shall maintain a record of all consents obtained from data subjects as required by the Privacy Requirements, including the time and date on which consent was obtained, the information presented to data subjects in connection with their giving consent, and details of the mechanism used to obtain consent. Developer shall maintain a record of the same information in relation to all withdrawals of consent by data subjects. Developer shall make these records available to Vungle promptly upon request.

If Developer is unable to comply with its notice and consent obligations under this Addendum, Developer shall promptly notify Vungle and Vungle may elect to perform any one or all of the obligations provided Developer does not prevent Vungle from performing such obligations. In the event neither party is able to perform such obligations, Vungle shall have the right to terminate the Agreement without liability upon written notice.

4.5.	Prohibited Data Sharing.  Developer shall not: (i) share with Vungle any Personal Data that allows users of Developer Apps to be directly identified (for example, by reference to their name or email address); and (ii) pass to Vungle any personal data of children (as such term is defined under applicable Privacy Requirements), unless expressly agreed in writing and as permitted under Privacy Requirements. Upon request, Vungle shall provide Developer with such reasonable assistance as Developer may require to enable Developer to provide such notice and obtain such consents.


### 5.	Co-operation and Data Subject Rights.
The parties shall, on request, provide each other with all reasonable and timely assistance (at their own expense) to enable the other to comply with its obligations under the Privacy Requirements, specifically in order to enable the other to respond to: (i) any request from a data subject to exercise any of its rights under EU Data Protection Law (including its rights of access, correction, objection, erasure and data portability, as applicable) in relation to the Ad Data ("Data Subject Rights"); and (ii) any other correspondence, inquiry, or complaint received from a data subject, regulator, or other third party in connection with the processing of the Ad Data. Each party shall promptly inform the other if it receives any request directly from a data subject to exercise a Data Subject Right in relation to the Ad Data.

### 6.	International Transfers.
To the extent that Vungle processes (or causes to be processed) any Personal Data protected by EU Data Protection Law and/or originating from the EEA (including the United Kingdom) ("EEA Personal Data") in a country outside of the EEA, it shall first take all such measures as are necessary to ensure an adequate level of protection for such EEA Personal Data in accordance with the requirements of EU Data Protection Law.  For these purposes, the parties acknowledge and agree that Vungle shall provide adequate protection for any EEA Personal Data by virtue of Vungle having self-certified its compliance with the Privacy Shield. Vungle agrees to protect EEA Personal Data in accordance with the requirements of the Privacy Shield Principles.

### 7.	Vungle Data.
To the extent Vungle shares any Personal Data with Developer in connection with the Vungle SDK and Vungle Platform, the parties agree that (i) Developer shall process such data as a separate and independent Controller (where applicable Privacy Requirements recognize such concept) for the limited purpose of performance under this Agreement consistent with the consents given by the data subjects; and (ii) Developer shall be independently responsible for the obligations that apply to it as a Controller under the Privacy Requirements. Developer further acknowledges that Vungle is self-certifying its compliance to the Privacy Shield and may transfer to Developer Personal Data protected by EU Data Protection Laws. To the extent Developer processes any such data, Developer agrees to provide the same level of protection for such Personal Data as is required by the Privacy Shield Principles. Developer shall notify Vungle if it makes a determination that it can no longer provide such protection and in such event, shall cease processing or take other reasonable and appropriate steps to remediate (if remediable) any processing until such time as the processing meets the level of protection as is required by the Privacy Shield Principles.

### 8.	Miscellaneous.
8.1.	Vungle reserves the right to modify, suspend or terminate the Agreement should Developer violate this Addendum.

8.2.	This Addendum shall survive termination or expiry of the Agreement.  Upon termination or expiry of the Agreement, Vungle may continue to process the Ad Data provided that such processing complies with the requirements of this Addendum and the Privacy Requirements.